# Get transaction history

The method allows you to get organization transactions history.

## Filters

Filters are available:

* by transaction type (`enum type`)
* by date (`date` parameter)
* by coin (`currency` parameter)
* by network (`network` parameter)

## Pagination

Pagination is performed using the parameters `limit`, `offset`. Sorting by date also is available (parameter `sortDate`)

* `limit` - the number of items to display as a result of the request (no less than 100 and no more than 1000, by default 100)
* `offset` - the number of elements to skip

## Description of `enum basis`

| Тип                | Описание           |
| ------------------ | ------------------ |
| `order`            | Order              |
| `withdrawal`       | Withdrawal         |
| `deposit`          | Deposit            |
| `transfer`         | Transfer           |
| `collecting`       | Collecting profits |
| `kyt`              | KYT                |
| `exchange_AUTO`    | Swap API           |
| `payout_auto_swap` | Auto-swap          |

## Description of `enum type`

| Тип                               | Описание                         |
| --------------------------------- | -------------------------------- |
| `commission`                      | Commission                       |
| `commission_create_order`         | Order creation fee               |
| `commission_execute_order`        | Transaction order fee            |
| `commission_wallet_deposit`       | Wallet deposit fee               |
| `commission_recurrent_deposit`    | Recurrent address deposit fee    |
| `commission_personal_deposit`     | Personal address deposit fee     |
| `commission_payout_deposit`       | Payout balance deposit fee       |
| `commission_wallet_withdrawal`    | Wallet withdrawal fee            |
| `commission_recurrent_withdrawal` | Recurrent address withdrawal fee |
| `commission_personal_withdrawal`  | Personal address withdrawal fee  |
| `commission_collect_withdrawal`   | Collect address withdrawal fee   |
| `commission_payout_withdrawal`    | Payout balance withdrawal fee    |
| `bridge_internal_fee`             | Blockchain bridge fee            |
| `bridge_external_fee`             | Blockchain bridge API fee        |
| `bridge_internal`                 | Blockchain bridge                |
| `bridge_external`                 | Blockchain bridge API            |
| `exchange_internal`               | Swap                             |
| `exchange_auto`                   | Swap API                         |
| `exchange_internal_fee`           | Swap fee                         |
| `exchange_auto_fee`               | Swap API fee                     |
| `network_fee`                     | Network commission               |
| `deposit`                         | Advanced balance replenishment   |
| `withdrawal`                      | Withdrawal                       |
| `commission_withdrawal`           | Withdrawal fee                   |
| `order_transaction`               | Order transaction                |
| `deposit_payout_balance`          | Payout balance replenishment     |
| `deposit_wallet`                  | Wallet replenishment             |
| `deposit_recurrent`               | Recurrent address replenishment  |
| `deposit_personal`                | Personal address replenishment   |
| `deposit_collect`                 | Collect address replenishment    |
| `kyt_transaction_fee`             | Transaction risks                |
| `kyt_withdrawal_address_fee`      | Withdrawal risks                 |
| `kyt_address_fee`                 | Address risks                    |
| `payout_auto_swap`                | Auto-swap                        |
| `payout_auto_swap_fee`            | Auto-swap fee                    |

{% openapi src="/files/hz5gQVHu2gDZcTYbWeSA" path="/api-gateway/get-transaction-history" method="post" %}
[openapi.json](https://615678623-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fa1TzfeK1Z0GLFNxiNpMW%2Fuploads%2Fgit-blob-8361e5ac3780661a20a51ec0d96901ce1db69b92%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apollopayment.io/english-2/api-reference/01base_actions/post_get-transaction-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
